Bug 242711 - Running k3b in F7 causes a hard lockup
Running k3b in F7 causes a hard lockup
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-05 10:32 EDT by Daniel Rowe
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version: kernel-2.6.22.1-41.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-03 07:01:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg (27.63 KB, text/plain)
2007-06-05 10:32 EDT, Daniel Rowe
no flags Details
lspci -vv (36.82 KB, text/plain)
2007-06-05 10:37 EDT, Daniel Rowe
no flags Details
dmesg (27.99 KB, text/plain)
2007-06-24 05:55 EDT, Valentin Palade
no flags Details
lspci -vv (17.42 KB, text/plain)
2007-06-24 05:56 EDT, Valentin Palade
no flags Details

  None (edit)
Description Daniel Rowe 2007-06-05 10:32:09 EDT
Description of problem:

Running k3b in Fedora 7 causes a hard lockup. Nothing in the logs so it looks
like it goes down before it can dump anything and the machine is not pingable.
The splash screen of k3b appears then it goes down. The X screen stays up
however it is completely locked.

This machine is completely stable other then this. K3b worked find in FC6 on
this box.

Version-Release number of selected component (if applicable):

k3b-1.0-1.fc7
kernel-2.6.21-1.3194.fc7

How reproducible:

Every time.

Steps to Reproduce:

1) Log into X.
2) Select K3b from the Applications menu.
  
Actual results:

Hard lockup

Expected results:

To work and not lock the system.

Additional info:
Comment 1 Daniel Rowe 2007-06-05 10:32:09 EDT
Created attachment 156227 [details]
dmesg
Comment 2 Daniel Rowe 2007-06-05 10:37:57 EDT
Created attachment 156229 [details]
lspci -vv
Comment 3 Valentin Palade 2007-06-24 05:52:54 EDT
Almost the same thing happens to me too - both with fedora kde live cd and
fedora installation. "Almost" because the system only freezes (with caps lock
and scroll lock keyboard LEDs blinking) when there is a DVD in drive - if the
drive is empty or has a CD k3b starts normally. The system also freezes if after
starting k3b i insert a DVD into drive.
On the same machine k3b on kubuntu works fine.
Running k3b from a console it seems to freeze when determining "Number of
supported write speeds via GET PERFORMANCE".
Comment 4 Valentin Palade 2007-06-24 05:55:39 EDT
Created attachment 157703 [details]
dmesg
Comment 5 Valentin Palade 2007-06-24 05:56:10 EDT
Created attachment 157704 [details]
lspci -vv
Comment 6 Harald Hoyer 2007-06-27 04:37:16 EDT
"caps lock and scroll lock keyboard LEDs blinking" is a kernel crash
Comment 7 Christopher Brown 2007-09-13 17:34:12 EDT
Hello,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If you are you may like to try the following:

# For boot related issues we need as much info as possible, so removing quiet
from boot flags is a good start.

# Slowing down the speed of text output with boot_delay=1000 (the number may
need to be tweaked higher/lower to suit) may allow the user to take a digital
camera photo of the last thing on screen.

# Booting with vga=791 (or even just vga=1 if the video card won't support 791)
will put the framebuffer into high resolution mode to get more lines of text on
screen, allowing more context for bug analysis.

# initcall_debug will allow to see the last thing the kernel tried to initialise
before it hung.

# There are numerous switches that change which at times have proven to be
useful to diagnose failures by disabling various features.

* acpi=off is a big hammer, and if that works, narrowing down by trying
pci=noacpi instead may yield clues
* nolapic and noapic are sometimes useful
* Given it's new and still seeing quite a few changes, nohz=off may be worth
testing. (Though this is F7 and above only) 

# If you get no output at all from the kernel, sometimes booting with
earlyprintk=vga can sometimes yield something of interest.

# If the kernel locks up with a 'soft lockup' report, booting with nosoftlockup
will disable this check allowing booting to continue.

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 8 Valentin Palade 2007-10-02 01:36:37 EDT
Good news everyone,
I'm currently running on kernel-2.6.22.1-41.fc7 and the bug doesn't reproduce.

Valentin

(In reply to comment #7)
> Hello,
> 
> I'm reviewing this bug as part of the kernel bug triage project, an attempt to
> isolate current bugs in the fedora kernel.
> 
> http://fedoraproject.org/wiki/KernelBugTriage
> 
> I am CC'ing myself to this bug and will try and assist you in resolving it if
I can.
> 
> There hasn't been much activity on this bug for a while. Could you tell me if
> you are still having problems with the latest kernel?
> 
> If you are you may like to try the following:
> 
> # For boot related issues we need as much info as possible, so removing quiet
> from boot flags is a good start.
> 
> # Slowing down the speed of text output with boot_delay=1000 (the number may
> need to be tweaked higher/lower to suit) may allow the user to take a digital
> camera photo of the last thing on screen.
> 
> # Booting with vga=791 (or even just vga=1 if the video card won't support 791)
> will put the framebuffer into high resolution mode to get more lines of text on
> screen, allowing more context for bug analysis.
> 
> # initcall_debug will allow to see the last thing the kernel tried to initialise
> before it hung.
> 
> # There are numerous switches that change which at times have proven to be
> useful to diagnose failures by disabling various features.
> 
> * acpi=off is a big hammer, and if that works, narrowing down by trying
> pci=noacpi instead may yield clues
> * nolapic and noapic are sometimes useful
> * Given it's new and still seeing quite a few changes, nohz=off may be worth
> testing. (Though this is F7 and above only) 
> 
> # If you get no output at all from the kernel, sometimes booting with
> earlyprintk=vga can sometimes yield something of interest.
> 
> # If the kernel locks up with a 'soft lockup' report, booting with nosoftlockup
> will disable this check allowing booting to continue.
> 
> If the problem no longer exists then please close this bug or I'll do so in a
> few days if there is no additional information lodged.
> 
> Cheers
> Chris

Comment 9 Christopher Brown 2007-10-02 10:56:46 EDT
Daniel, does this also fix the problem for you?
Comment 10 Daniel Rowe 2007-10-03 05:16:55 EDT
Hi

With later kernels this is not present on my system. All works as it should.

Regards
Daniel

Note You need to log in before you can comment on or make changes to this bug.